Skip to main content
GET
/
v1
/
voices
List voices
curl --request GET \
  --url https://api.topcalls.ai/v1/voices \
  --header 'Authorization: Bearer <token>'
{
  "voices": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "<string>",
      "voice_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "language": "<string>",
      "style": "<string>",
      "modes": [],
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_cloned": true,
      "external_voice_id": "<string>",
      "sample_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.topcalls.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Query Parameters

mode
enum<string>

Filter by call mode

Available options:
realtime,
legacy
provider
enum<string>

Filter by voice provider

Available options:
openai,
elevenlabs,
deepgram
language
string

Filter by language code

Response

Available voices for the account

voices
object[]
count
integer

Total number of voices returned